#include "stdafx.h"
#include "MainDialog.hpp"
//2007/5/23 1.03----->
#include "O2JamMusic.hpp"
#include "Utility.hpp"
//<-------------------
#include "Resource.hpp"

using namespace Lmt::O2Bms;

//2007/5/23 1.03----->
void AppInitialize();
//<-------------------

int APIENTRY WinMain( HINSTANCE, HINSTANCE, LPSTR, int ) {
	locale::global( locale( "jpn", locale::ctype ) );
	HMODULE richedit = ::LoadLibrary( L"riched32.dll" );
	::InitCommonControls();
//	::OleInitialize( NULL );

	//2007/5/23 1.03----->
	::AppInitialize();
	//<-------------------
	
	if (richedit == NULL) {
		::MessageBox( NULL, L"Application failed to load.", Resource::GetString( IDS_APPNAME ).c_str(), MB_OK | MB_ICONSTOP );
	}
	else {
		MainDialog dlg;
		dlg.Run( NULL );
	}
	
//	::OleUninitialize();
	if (richedit != NULL) {
		::FreeLibrary( richedit );
	}
	return 0;
}

//2007/5/23 1.03----->
void AppInitialize() {
	wchar_t modulePath[MAX_PATH];
	wstring titleDirectory;
	wstring titlePath;

	modulePath[0] = '\0';
	::GetModuleFileName( NULL, modulePath, sizeof(modulePath) / sizeof(wchar_t) );

	titleDirectory = Utility::GetDirectoryFromPath( modulePath );
	titlePath = Utility::CombinePath( titleDirectory, L"titles.txt" );
	O2JamMusic::GetTitleTable()->Load( titlePath );
}
//<-------------------
