#pragma once

namespace Lmt {
namespace O2Bms {
	class O2JamMusic;
	class O2JamMusicDesc {
		friend class O2JamMusic;
	private:
		int m_identifier;
		wstring m_genre;
		wstring m_title;
		wstring m_composer;
		wstring m_scoreMaker;
		float m_initialBPM;
		int m_easyLevel;
		int m_normalLevel;
		int m_hardLevel;
	public:
		O2JamMusicDesc();
		int GetIdentifier() const;
		wstring GetGenre() const;
		wstring GetTitle() const;
		wstring GetComposer() const;
		wstring GetScoreMaker() const;
		float GetInitialBPM() const;
		int GetEasyLevel() const;
		int GetNormalLevel() const;
		int GetHardLevel() const;
	};
}
}
