#pragma once
#include "MusicPackage.hpp"

namespace Lmt {
namespace O2Bms {
	class SoundRanking {
		//map<int,int> = map<Identifier,Rank>
		typedef map<int,int> RankingMap;
	private:
		RankingMap m_ranking;
	public:
		static const int NotFound = -1;
	public:
		SoundRanking(){}
		int GetCount() const;
		int GetRank( int identifier ) const;
		void Build( const MusicPackage &mpack );
		void Clear();
#ifdef _DEBUG
		void MakeArray() const;
#endif
	};
}
}
