#pragma once

namespace Lmt {
namespace O2Bms {
	class ConvertResult {
		int m_result;
	public:
		static const int Okay = 0;
		static const int Canceled = 1;
		static const int FailedToOpenSource = 2;
		static const int FailedToCreateOutDir = 3;
		static const int FailedToConvertBms = 4;
		static const int FailedToOpenSoundFile = 5;
		static const int HaveAnySoundConvertError = 6;
		static const int AnySoundsReplacedDummy = 7;
		static const int FailedToConvertSongImage = 8;
		//2007/5/24 1.03----->
		static const int DirectoryAlreadyExists = 9;
		//<-------------------
	public:
		ConvertResult();
		ConvertResult( int result );
		wstring ToString() const;
		bool operator ==( int result ) const;
		bool operator !=( int result ) const;
	};
}
}
