//2007/5/23 1.03̑Ήɂǉ
#include "stdafx.h"
#include "DataTable.hpp"
#include "Utility.hpp"

namespace Lmt {
namespace O2Bms {
	DataTable::DataTable() {
	}

	DataTable::~DataTable() {
		m_titles.clear();
	}

	bool DataTable::Load( const wstring &path ) {
		wfstream fs( Utility::WStringToString( path ).c_str(), ios::in );
		wstring line;
		wstring::size_type separator;
		DataMap titles;

		if (fs.is_open() == false) {
			return false;
		}

		while (getline( fs, line )) {
			separator = line.find( '\t' );
			if (separator == wstring::npos) {
				continue;
			}

			titles[wcstol( wstring( line, 0, separator ).c_str(), NULL, 10 )] = wstring( line, separator + 1 );
		}

		m_titles.swap( titles );
		return true;
	}

	bool DataTable::GetTitle( int identifier, wstring &title ) const {
		DataMap::const_iterator it = m_titles.find( identifier );

		if (it == m_titles.end()) {
			return false;
		}

		title = it->second;
		return true;
	}
}
}
