#pragma once

namespace Lmt {
namespace O2Bms {
	class FolderDialog {
		HWND m_parent;
		wstring m_title;
		wstring m_initialDir;
		wstring m_selectedDir;
	public:
		FolderDialog();
		void SetParent( HWND parent );
		void SetTitle( const wstring &title );
		void SetInitialDir( const wstring &directory );
		wstring GetSelectedDirectory() const;
		bool Select();
	private:
		static int CALLBACK BrowseCallbackProc( HWND hwnd,UINT msg, LPARAM lp1, LPARAM lp2 );
	};
}
}
