#pragma once
#include "MusicPackageStream.hpp"

namespace Lmt {
namespace O2Bms {
	class MusicPackage {
		//vTCY28oCg
		struct FileHeader {
			char   Signature[4];   //M30\0
			int    SamplesPerSec;  //Tv(bps)(?)@@08/4/20 炭ԈĂ
			//08/4/20 1.05----->
//			int    BitsPerSample;  //rbg/Tv(?)
			int    Flags;          //pbP[W̏ԂtO
			//<------------------
			int    Count;          //f[^
			char   Unknown01[4];
			int    Length;         //wb_[f[^̃TCY(FileLength-sizeof(OjmM30Header))
			char   Unknown02[4];   //炭0
		};
	private:
		typedef vector<MusicPackageStream> StreamArray;
		FileHeader m_header;
		StreamArray m_streams;
		fstream *m_pfs;
		int m_bgmCount;
	public:
		MusicPackage();
		~MusicPackage();
		bool Open( const wstring &path );
		void Close();
		int GetSamplesPerSecBps() const;
		//08/4/20 1.05----->
//		int GetBitsPerSample() const;
		int GetFlags() const;
		//<------------------
		int GetBgmCount() const;
		int GetItemCount() const;
		MusicPackageStream * GetItemStream( int index );
		const MusicPackageStream * GetItemStream( int index ) const;
	};
}
}

