#pragma once
#include "O2JamMusicDesc.hpp"
//2007/5/23 1.03----->
#include "DataTable.hpp"
//<-------------------

namespace Lmt {
namespace O2Bms {
	class O2JamMusic {
		struct OjnHeader {
			int    Identifier;           //DL̔ԍBo2maXXX.ojńuXXXv̕
			char   Signature[4];         //"ojn\0"
			float  Unknown01_f32;        //悭Ȃfloat
			int    GenreID;              //o2jam̃WޗpH
			float  BPM;                  //BPM
			short  EasyLevel;            //EZʂ̃x
			short  NormalLevel;          //NMʂ̃x
			short  HardLevel;            //HDʂ̃x
			short  Padding01;            //32rbgpfBO
			char   unknown02[12];
			int    EasyNoteCount;        //EZ̃m[g
			int    NormalNoteCount;      //NM̃m[g
			int    HardNoteCount;        //HD̃m[g̐
			int    EasyScoreCount;       //EZʂ̏ߐ
			int    NormalScoreCount;     //NMʂ̏ߐ
			int    HardScoreCount;       //ʂ̏ߐ
			char   Unknown03[36];
			int    BitmapLength;         //Tl[摜̒
			char   Unknown04[4];
			char   Title[32];            //^Cg
			char   Title2[32];           //^CgQ(?)
			char   Composer[32];         //Ȏ
			char   Maker[32];            //m[g̐
			char   MusicFile[32];        //yȃt@C
			int    JpegLength;           //JPEGf[^̒
			int    EasyTime;             //EZyȂ̎(bP)
			int    NormalTime;           //NMyȂ̎(bP)
			int    HardTime;             //HDyȂ̎(bP)
			int    EasyNotePos;          //EZʂ̈ʒu
			int    NormalNotePos;        //NMʂ̈ʒu
			int    HardNotePos;          //HDʂ̈ʒu
			int    JpegPos;              //^Cg摜(JPEG)̈ʒu
//			char   NormalNoteData[this->NormalNoteLength()];
//			char   EasyNoteData[this->EasyNoteLength()];
//			char   HardNoteData[this->HardNoteLength()];
//			char   JpegData[JpegLength];
//			char   PreviewBitmapData?[BitmapLength];
		};
	private:
		//2007/5/23 1.03----->
		static DataTable m_titles;
		//<-------------------
		O2JamMusicDesc m_desc;
		wstring m_easyScorePath;
		wstring m_normalScorePath;
		wstring m_hardScorePath;
		wstring m_songImagePath;
		wstring m_thumbnailPath;
		wstring m_musicFilePath;
		bool m_opened;
		//2007/5/23 1.03----->
		bool m_loadedResource;
		//<-------------------
	public:
		O2JamMusic();
		~O2JamMusic();
		O2JamMusicDesc GetDescription() const;
		wstring GetEasyScorePath() const;
		wstring GetNormalScorePath() const;
		wstring GetHardScorePath() const;
		wstring GetSongImagePath() const;
		wstring GetThumbnailPath() const;
		wstring GetMusicFilePath() const;
		bool IsOpen() const;
		//2007/5/23 1.03----->
//		bool Open( const wstring &path );
		bool Open( const wstring &path, bool loadResource = true );
		//<-------------------
		void Close();
		//2007/5/23 1.03----->
		static DataTable * GetTitleTable();
		//<-------------------
	private:
		static bool CheckHeader( OjnHeader &h );
		static wstring CreateNewFile( fstream &fs, int position, int length );
		static wstring MakeGenre( int genre );
	};
}
}
