#include "stdafx.h"
#include "O2JamNoteMeasure.hpp"

namespace Lmt {
namespace O2Bms {
	O2JamNoteMeasure::O2JamNoteMeasure() {
	}

	O2JamNoteValues * O2JamNoteMeasure::GetValues( int index ) {
		return &(m_values.at( index ));
	}

	const O2JamNoteValues * O2JamNoteMeasure::GetValues( int index ) const {
		return &(m_values.at( index ));
	}

	int O2JamNoteMeasure::GetCount() const {
		return static_cast<int>( m_values.size() );
	}

	void O2JamNoteMeasure::Add( const O2JamNoteValues &value ) {
		m_values.push_back( value );
	}
}
}
